package com.fs.his.domain;

import com.fs.common.annotation.Excel;
import com.fs.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

/**
 * 医生文章分类对象 fs_doctor_article_cate
 *
 * @author fs
 * @date 2024-05-08
 */
public class FsDoctorArticleCate extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    private Long cateId;

    /** 分类名称 */
    @Excel(name = "分类名称")
    private String cateName;

    /** 状态 1正常 0禁用 */
    @Excel(name = "状态 1正常 0禁用")
    private Integer status;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer isDel;

    /** 图片 */
    @Excel(name = "图片")
    private String imgUrl;

    /** 排序号 */
    @Excel(name = "排序号")
    private Long sort;

    public void setCateId(Long cateId)
    {
        this.cateId = cateId;
    }

    public Long getCateId()
    {
        return cateId;
    }
    public void setCateName(String cateName)
    {
        this.cateName = cateName;
    }

    public String getCateName()
    {
        return cateName;
    }
    public void setStatus(Integer status)
    {
        this.status = status;
    }

    public Integer getStatus()
    {
        return status;
    }
    public void setIsDel(Integer isDel)
    {
        this.isDel = isDel;
    }

    public Integer getIsDel()
    {
        return isDel;
    }
    public void setImgUrl(String imgUrl)
    {
        this.imgUrl = imgUrl;
    }

    public String getImgUrl()
    {
        return imgUrl;
    }
    public void setSort(Long sort)
    {
        this.sort = sort;
    }

    public Long getSort()
    {
        return sort;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
            .append("cateId", getCateId())
            .append("cateName", getCateName())
            .append("status", getStatus())
            .append("isDel", getIsDel())
            .append("imgUrl", getImgUrl())
            .append("sort", getSort())
            .toString();
    }
}
